# See extensive tutorial here https://docs.python.org/3/library/sqlite3.html

import time
import sys
import sqlite3
con = sqlite3.connect("/Users/suciu/temp/bank.db", autocommit=True)

cur = con.cursor()

res = cur.execute("SELECT * FROM acc")

answ = res.fetchall()

print(answ)

usr = input("Enter the user name: ")
res = cur.execute("SELECT * FROM acc WHERE usr=?",[usr])
if res.fetchone() is None:
    print("Wrong user. Exit")
    exit()

def get_balance(usr):
    res = cur.execute("SELECT balance FROM acc WHERE usr=?",[usr])
    row = res.fetchone()
    b = row[0]
    return b

def set_balance(usr, b1):
    cur.execute("UPDATE acc SET balance = ? WHERE usr=?",[b1,usr])
    
while True:
    try:
        print()
        print()
        cmd = input(usr+": type balance/deposit/withdraw/transfer/quit (first letter only): ")
        if cmd == "b":
            b = get_balance(usr)
            print("Your balance is ", b)
        elif cmd == "d":
            amount = input(usr+": insert cash or check into the machine.  Type the amount: ")
            a = int(amount)
            b = get_balance(usr)
            b1 = b+a
            set_balance(usr, b1)
            print(usr+": your new balance is ",b1)
        elif cmd == "w":
            amount = input(usr+": how much? ")
            a = int(amount)
            b = get_balance(usr)
            if a>b:
                print("ERROR: INSUFFICIENT FUNDS!!")
            else:
                for x in range(4):
                    print("***DISPENSING MONEY TO "+usr+" NOW***")
                    time.sleep(1)
                b1 = b-a
                set_balance(usr, b1)
                print(usr+": your new balance is ",b1)
        elif cmd == "t":
            amount = input(usr+": how much do you transfer? ")
            a = int(amount)
            b = get_balance(usr)
            if a>b:
                print("ERROR: INSUFFICIENT FUNDS!!")
            else:
                usrt = input(usr+": to whom do you transfer? ")
                bt = get_balance(usrt)
                b1 = b-a
                bt1 = bt+a
                set_balance(usr,b1)
                set_balance(usrt,bt1)
                print(usr+": your new balance is ",b1)
                print(usrt+ ": your new balance is ",bt1)
        elif cmd == "q":
            exit()            
    except EOFError:
        exit()

    

